## cryptsetup-nuke-password 2

=== Makefile ===
CFLAGS += -Wall -O2
LDFLAGS += -lcrypt

EXECUTABLES = crypt

all: $(EXECUTABLES)

check:
	./check

clean:
	rm -f *.o
	rm -f $(EXECUTABLES)

install: $(EXECUTABLES)
	mkdir -p $(DESTDIR)/lib/cryptsetup
	cp askpass $(DESTDIR)/lib/cryptsetup/
	
	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/hooks/
	cp hooks/* $(DESTDIR)/usr/share/initramfs-tools/hooks/
	
	mkdir -p $(DESTDIR)/usr/lib/cryptsetup-nuke-password
	cp crypt $(DESTDIR)/usr/lib/cryptsetup-nuke-password/

.PHONY: check clean install

=== debian/changelog ===
cryptsetup-nuke-password (2) kali-dev; urgency=medium

  * Allow preseeding and non-interactive configuration of the nuke password.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 05 Jul 2019 15:22:51 +0200

cryptsetup-nuke-password (1) kali-experimental; urgency=medium

  * Initial Release.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 07 Jun 2019 16:14:37 +0200

=== debian/control ===
Source: cryptsetup-nuke-password
Section: admin
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
Build-Depends: debhelper-compat (= 12), shunit2, po-debconf
Standards-Version: 4.3.0
Homepage: https://gitlab.com/kalilinux/packages/cryptsetup-nuke-password
Vcs-Browser: https://gitlab.com/kalilinux/packages/cryptsetup-nuke-password
Vcs-Git: https://gitlab.com/kalilinux/packages/cryptsetup-nuke-password.git

Package: cryptsetup-nuke-password
Architecture: any
Depends: cryptsetup-bin, ${shlibs:Depends}, ${misc:Depends}
Enhances: cryptsetup-initramfs
Description: Erase the LUKS keys with a special password on the unlock prompt
 Installing this package lets you configure a special "nuke password" that
 can be used to destroy the encryption keys required to unlock the encrypted
 partitions. This password can be entered in the usual early-boot prompt
 asking the passphrase to unlock the encrypted partition(s).
 .
 This provides a relatively stealth way to make your data unreadable in
 case you fear that your computer is going to be seized.
 .
 After installation, use “dpkg-reconfigure cryptsetup-nuke-password” to
 configure your nuke password.

=== debian/tests/control ===
Tests: testsuite.sh
Depends: @, shunit2
Restrictions: allow-stderr

Tests: askpass.sh
Depends: @, cryptsetup-run
Restrictions: needs-root, allow-stderr

## cryptsetup-nuke-password 3

=== debian/changelog ===
cryptsetup-nuke-password (3) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1004555)
  * Makefile: Change `LDFLAGS` to `LDLIBS`. Ffixes compilation of crypt.c.
  * crypt.c: Fix detection of invalid hashs.
  * d/control:
    * Bump debhelper compat version to 13.
    * Bump standards-version to 4.6.0, no changes required.


 -- Jonas Meurer <jonas@freesources.org>  Sun, 30 Jan 2022 17:16:45 +0100

## cryptsetup-nuke-password 3+nmu1

=== debian/changelog ===
cryptsetup-nuke-password (3+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 15:32:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cryptsetup-nuke-password
 Section: admin
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
-Build-Depends: debhelper-compat (= 12), shunit2, po-debconf
-Standards-Version: 4.3.0
-Homepage: https://gitlab.com/kalilinux/packages/cryptsetup-nuke-password
-Vcs-Browser: https://gitlab.com/kalilinux/packages/cryptsetup-nuke-password
-Vcs-Git: https://gitlab.com/kalilinux/packages/cryptsetup-nuke-password.git
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Raphaël Hertzog <raphael@offensive-security.com>, Jonas Meurer <jonas@freesources.org>
+Build-Depends: debhelper-compat (= 13), shunit2, po-debconf
+Standards-Version: 4.6.0
+Homepage: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password
+Vcs-Git: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password.git
 
 Package: cryptsetup-nuke-password
 Architecture: any

=== debian/tests/control ===
Tests: testsuite.sh
Depends: @, shunit2
Restrictions: allow-stderr

Tests: askpass.sh
Depends: @, cryptsetup
Restrictions: needs-root, allow-stderr, isolation-container

## cryptsetup-nuke-password 4

=== debian/changelog ===
cryptsetup-nuke-password (4) unstable; urgency=medium

  * d/tests/control: Change restriction for askpass autopkgtest from
    `isolation-container` to `isolation-machine`. The test needs to load
    kernel modules (dm_crypt). (Closes: #1007237)
  * d/control: Bump standards-version to 4.6.1, no changes required.
  * d/po/de.po: Add german translation, thanks to Hermann-Josef Beckers.
    (Closes: #1007933)
  * d/po/es.po: Add spanish translation, thanks to Camaleón.
    (Closes: #1008527)
  * d/po/nl.po: Add dutch translation, thanks Frans Spiesschaert.
    (Closes: #1010035)

 -- Jonas Meurer <jonas@freesources.org>  Sat, 16 Jul 2022 22:00:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>, Jonas Meurer <jonas@freesources.org>
 Build-Depends: debhelper-compat (= 13), shunit2, po-debconf
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password
 Vcs-Git: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password.git

=== debian/tests/control ===
Tests: testsuite.sh
Depends: @, shunit2
Restrictions: allow-stderr

Tests: askpass.sh
Depends: @, cryptsetup
Restrictions: needs-root, allow-stderr, isolation-machine

## cryptsetup-nuke-password 4+nmu1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CFLAGS += -Wall -O2
-LDFLAGS += -lcrypt
+LDLIBS += -lcrypt
 
 EXECUTABLES = crypt

=== debian/changelog ===
cryptsetup-nuke-password (4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update po file into Brazilian Portuguese translation. (Closes: #1026408)
  * Update po file into Italian translation. (Closes: #1017486)
  * Update po file into Portuguese translation. (Closes: #1028253)
  * debian/control
    + Bump Standards-Version 4.6.2

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Mon, 19 Jun 2023 23:00:28 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>, Jonas Meurer <jonas@freesources.org>
 Build-Depends: debhelper-compat (= 13), shunit2, po-debconf
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password
 Vcs-Git: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password.git

## cryptsetup-nuke-password 4+nmu1+parrot1

=== debian/changelog ===
cryptsetup-nuke-password (4+nmu1+parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:37:19 +0200

cryptsetup-nuke-password (4+nmu1+kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Request update of initramfs when nuke password is changed with dpkg-reconfigure

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 14 Aug 2023 23:04:20 +0700

## cryptsetup-nuke-password 6

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 	rm -f $(EXECUTABLES)
 
 install: $(EXECUTABLES)
-	mkdir -p $(DESTDIR)/lib/cryptsetup
-	cp askpass $(DESTDIR)/lib/cryptsetup/
+	mkdir -p $(DESTDIR)/usr/lib/cryptsetup
+	cp askpass $(DESTDIR)/usr/lib/cryptsetup/
 	
 	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/hooks/
 	cp hooks/* $(DESTDIR)/usr/share/initramfs-tools/hooks/

=== debian/changelog ===
cryptsetup-nuke-password (6) unstable; urgency=medium

  * Team upload, acked by Raphaël.
  * Upload to unstable.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 10 Mar 2024 14:11:10 +0100

cryptsetup-nuke-password (5) experimental; urgency=medium

  * Team upload, acked by Raphaël.

  [ Raphaël Hertzog ]
  * Request update of initramfs when nuke password is changed with
    dpkg-reconfigure.

  [ Helmut Grohne ]
  * Upgrade cryptsetup-bin dependency to cryptsetup, as that contains askpass.
  * DEP17: Move files to /usr (M2) and mitigate file loss with diverions (P7).
    (Closes: #1060269)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 05 Jan 2024 18:53:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: cryptsetup-nuke-password
 Architecture: any
-Depends: cryptsetup-bin, ${shlibs:Depends}, ${misc:Depends}
+Depends: cryptsetup (>= 2:2.7.0-1+exp2~), ${shlibs:Depends}, ${misc:Depends}
 Enhances: cryptsetup-initramfs
 Description: Erase the LUKS keys with a special password on the unlock prompt
  Installing this package lets you configure a special "nuke password" that

## cryptsetup-nuke-password 8

=== debian/changelog ===
cryptsetup-nuke-password (8) unstable; urgency=medium

  * Team upload.
  * d/p/sv.po: Add Swedish translation of debconf messages (Closes: #1043029).
  * d/cryptsetup-nuke-password.lintian-overrides: Remove unused override.

 -- Sven Geuer <sge@debian.org>  Thu, 10 Apr 2025 22:09:55 +0200

cryptsetup-nuke-password (7) unstable; urgency=medium

  * Team upload.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1102439).

  [ Sven Geuer ]
  * d/control:
    - Add Rules-Requires-Root: no.
    - Bump Standards-Version to 4.7.2.
  * d/copyright: Update Debian copyright entries.

 -- Sven Geuer <sge@debian.org>  Wed, 09 Apr 2025 19:36:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>, Jonas Meurer <jonas@freesources.org>
 Build-Depends: debhelper-compat (= 13), shunit2, po-debconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password
 Vcs-Git: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password.git

## cryptsetup-nuke-password 9

=== debian/changelog ===
cryptsetup-nuke-password (9) unstable; urgency=medium

  * Team upload.

  [ Sven Geuer ]
  * d/control: Add libcrypt-dev to Build-Depends (Closes: #1106988).
  * d/control: Drop 'Rules-Requires-Root: no', it's the standard now.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 13 Nov 2025 18:49:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>, Jonas Meurer <jonas@freesources.org>
-Build-Depends: debhelper-compat (= 13), shunit2, po-debconf
+Build-Depends: debhelper-compat (= 13), shunit2, po-debconf, libcrypt-dev
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password
 Vcs-Git: https://salsa.debian.org/pkg-security-team/cryptsetup-nuke-password.git
